.. role:: green Domain Functions ================ Manage domain name functions via API. Disable a Domain ---------------- **Type:** :guilabel:`PUT` .. py:function:: https://cloud.syminet.com/api/v1/domains/{DOMAIN_ID}/disable Disable domain ``DOMAIN_ID``. Disabled domains do not respond to DNS queries. .. code-block:: shell :caption: Curl curl --request PUT \ --url https://cloud.syminet.com/api/v1/domains/DOMAIN_ID/disable \ --header "authorization:bearer $API_TOKEN" **Required URL Parameters:** DOMAIN_ID Domain ID to disable. **Response:** :green:`202 OK` Enable a Domain --------------- **Type:** :guilabel:`PUT` .. py:function:: https://cloud.syminet.com/api/v1/domains/{DOMAIN_ID}/enable Enable domain ``IPV4_ID``. Enabled domains will respond to DNS queries. **Parameters:** DOMAIN_ID Domain ID to enable. .. code-block:: shell :caption: Curl curl --request PUT \ --url https://cloud.syminet.com/api/v1/domains/DOMAIN_ID/enable \ --header "authorization:bearer $API_TOKEN" **Response:** :green:`202 OK`